export default {
	title: "Nathan Upchurch",
	logo: "/img/logo.svg",
	url: "https://nathanupchurch.com/",
	language: "en",
	description:
		"The personal website and blog of Nathan Upchurch, where I write about incense, free and open source software, design, vegan cooking, music, and all sorts of other topics that I find interesting.",
	author: {
		givenName: "Nathan",
		familyName: "Upchurch",
		name: "Nathan Upchurch",
		email: "blog@upchur.ch",
		url: "https://nathanupchurch.com/me",
		profilePic: "/img/CN20191025_301_Srt_SQUARE_crop.jpg",
	},
	blogrollUrl: "/blogroll/nathanUpchurchBlogroll.opml",
	copyrightNotice: "© Nathan Upchurch 2022 - 2025",
	defaultPostImageURL: "/img/logo_post.svg",
	defaultPostImageAlt: "The logo for this blog: a capital letter N.",
	mastodonHost: "lounge.town",
	mastodonUser: "nathanu",
	navigatorLinks: [
		{
			iconURL: "/img/icons/breeze/typewriter.svg",
			linkDisplay: "Blog",
			linkURL: "/blog/",
		},
		{
			iconURL: "/img/icons/breeze/view-list-text.svg",
			linkDisplay: "Blogroll",
			linkURL: "/blogroll/",
		},
		{
			iconURL: "/img/icons/breeze/view-preview.svg",
			linkDisplay: "Galleries",
			linkURL: "/galleries/",
		},
		{
			iconURL: "/img/icons/breeze/news-subscribe.svg",
			linkDisplay: "Life Updates",
			linkURL: "/now/",
		},
		{
			iconURL: "/img/burn.svg",
			linkDisplay: "Now Burning",
			linkURL: "/now-burning/",
		},
		{
			iconURL: "/img/icons/breeze/document-edit-sign.svg",
			linkDisplay: "Quizzes",
			linkURL: "/quizzes/",
		},
		{
			iconURL: "/img/icons/breeze/map-globe.svg",
			linkDisplay: "Sitemap",
			linkURL: "/sitemap/",
		},
		{
			iconURL: "/img/icons/breeze/tag.svg",
			linkDisplay: "Topics",
			linkURL: "/tags/",
		},
		{
			iconURL: "/img/icons/breeze/kstars_supernovae.svg",
			linkDisplay: "Wishes",
			linkURL: "/wish/",
		},
	],
	postlistHeaderText: "Latest blog posts:",
	socialLinks: [
		{
			title: "My Blog",
			linkURL: "https://nathanupchurch.com",
			linkDisplay: "My Blog",
			iconURL: "/img/logo.svg",
		},
		{
			title: "Friendica",
			linkURL: "https://friendica.world/profile/nathan",
			customAttribute: `rel="me"`,
			linkDisplay: "Friendica",
			iconURL: "/img/friendica.svg",
		},
		{
			title: "Mastodon",
			linkURL: "https://lounge.town/@nathanu",
			customAttribute: `rel="me"`,
			linkDisplay: "Mastodon",
			iconURL: "/img/mastodon.svg",
		},
		{
			title: "Email Me",
			linkURL: "Mailto:blog@upchur.ch",
			linkDisplay: "Email",
			iconURL: "/img/envelope.svg",
		},
		{
			title: "Matrix",
			linkURL: "https://matrix.to/#/@nathan:upchur.ch",
			linkDisplay: "Matrix",
			iconURL: "/img/matrix-org.svg",
		},
		{
			title: "Signal",
			linkURL:
				"https://signal.me/#eu/j-om4cfsGXtfKo0UX28EQfEL_Gd1KpJr8nQpI9Smhdsb-r98eT5F6obQ1BcYZCcW",
			linkDisplay: "Signal",
			iconURL: "/img/Signal-Logo-White.svg",
		},
		{
			title: "BookWyrm",
			linkURL: "https://ramblingreaders.org/user/NathanU",
			linkDisplay: "BookWyrm",
			iconURL: "/img/book.svg",
		},
		{
			title: "Pixelfed",
			linkURL: "https://pixelfed.social/@nathanu",
			linkDisplay: "Pixelfed",
			iconURL: "/img/pixelfed.svg",
		},
		{
			title: "Lemmy",
			linkURL: "https://lemmy.ml/u/NathanUp",
			linkDisplay: "Lemmy",
			iconURL: "/img/Lemmy_logo.svg",
		},
		{
			title: "PeerTube",
			linkURL: "https://makertube.net/a/nathan/video-channels",
			linkDisplay: "PeerTube",
			iconURL: "/img/peertube.svg",
		},
		{
			title: "Keyoxide Identity Profile",
			linkURL: "https://keyoxide.org/31E809FAEA1532AC91BBDCF1EC499D3513F69340",
			linkDisplay: "Keyoxide Identity Profile",
			iconURL: "/img/keyoxide.svg",
		},
	],
	webrings: [
		{
			name: "Fediring",
			ringURL: "https://fediring.net/",
			previousURL: "https://fediring.net/previous?host=nathanupchurch.com",
			nextURL: "https://fediring.net/next?host=nathanupchurch.com",
		},
		{
			name: "Geekring",
			ringURL: "https://geekring.net/",
			previousURL: "http://geekring.net/site/350/previous",
			nextURL: "http://geekring.net/site/350/next",
		},
	],
};
