---
title: "How Much of a Linux Nerd are You?"
description: "A quiz to find out how much of a Linux (or should I say GNU/Linux) nerd you are."
date: 2025-02-02
imageURL: "/img/Tux.svg"
imageAlt: "Tux the penguin."
consequences:
 - title: "Why are you here?"
   points: 0
   spiel: "Look, I don't know how you found yourself here, but I think your time might be better spent elsewhere!"
   image: "/img/lost.gif"
   imageAlt: "An animated GIF of Cookie Monster looking around in a confused manner and scratching his head."
 - title: "You're a beginner"
   points: 30
   spiel: "You know a couple things, but you're still just getting started on your Linux journey."
   image: "/img/noob.gif"
   imageAlt: "An animated GIF calling you a noob."
 - title: "Linux user detected"
   points: 60
   spiel: "You are a bona fide Linux user."
   image: "/img/tuxfall.gif"
   imageAlt: "An animated GIF of a gelatinous Tux falling from the sky and landing with a jiggle."
 - title: "You're a Linux pro"
   points: 90
   spiel: "You ain't scared of the terminal."
   image: "/img/matrix.gif"
   imageAlt: "An animated GIF of letters falling on a black screen, matrix style."
 - title: "Certified Linux nerd"
   points: 120
   spiel: "Fire up some tendies in celebration, because you are a certified Linux nerd. Frankly, I'm surprised you turned on JavaScript in your browser to complete this quiz!"
   image: "/img/tendies.gif"
   imageAlt: "An animated GIF of Post Malone eating tendies."
 - title: "Linus… is that you?"
   points: 150
   spiel: "Either you looked at the source code for this page, or you are a GNU/Linux god."
   image: "/img/linus.gif"
   imageAlt: "An animated GIF of Linus Torvalds speaking and flipping off the camera."
questions:
 - title: "What is a kernel?"
   image:
   imageAlt:
   imageCaption:
   answers:
   - name: "Some sort of seed or pit."
     points: 0
   - name: "The part of an operating system that bridges software and hardware."
     points: 5
   - name: "A piece of software that controls the desktop environment."
     points: 0
   - name: "…another free component of a fully functioning GNU system…"
     points: 10
 - title: "Which desktop environment is known for its unique workflow and consistent appearance?"
   image:
   imageAlt:
   imageCaption:
   answers:
   - name: "GNOME"
     points: 5
   - name: "KDE"
     points: 0
   - name: "Cinnamon"
     points: 0
   - name: "Xfce"
     points: 0
 - title: "Which distro might someone use, BTW?"
   image:
   imageAlt:
   imageCaption:
   answers:
   - name: "Debian"
     points: 0
   - name: "openSUSE"
     points: 0
   - name: "Fedora"
     points: 0
   - name: "Arch"
     points: 5
 - title: "Which utensil does :(){ :|:& };: bring to mind?"
   image:
   imageAlt:
   imageCaption:
   answers:
   - name: "A Chopstick"
     points: 0
   - name: "A Fork"
     points: 5
   - name: "A Spoon"
     points: 0
   - name: "A Knife"
     points: 0
 - title: "Which of the following distros accidentally launched a DDOS attack on an upstream repo?"
   image:
   imageAlt:
   imageCaption:
   answers:
   - name: "Garuda"
     points: 0
   - name: "Nix"
     points: 0
   - name: "Vanilla OS"
     points: 0
   - name: "Manjaro"
     points: 5
 - title: "Complete the sequence: sudo rm -rf"
   image:
   imageAlt:
   imageCaption:
   answers:
   - name: "/"
     points: 5
   - name: "*.jpg"
     points: 0
   - name: "/dev/sda"
     points: 0
   - name: "--no-preserve-root /"
     points: 10
   - name: "*/."
     points: 0
 - title: "What is your favorite package format?"
   image:
   imageAlt:
   imageCaption:
   answers:
   - name: "Bubble wrap"
     points: 0
   - name: "Snap"
     points: -5
   - name: "Flatpak"
     points: 5
   - name: "Native Packages"
     points: 10
   - name: "AppImage"
     points: 5
   - name: "Piping install scripts from GitHub to bash"
     points: 0
 - title: "Desktop environment or window manager?"
   image:
   imageAlt:
   imageCaption:
   answers:
   - name: "Desktop environment"
     points: 0
   - name: "Window manager"
     points: 5
   - name: "Both are bloat"
     points: 10
 - title: "From memory, use the tar command to create a compressed tarball. Did you succeed?"
   image:
   imageAlt:
   imageCaption:
   answers:
   - name: "Yes"
     points: 5
   - name: "No"
     points: 0
 - title: "Which command will make a train roll across your terminal?"
   image:
   imageAlt:
   imageCaption:
   answers:
   - name: "sudo rm -rf /*"
     points: 0
   - name: "dd if=/dev/zero bs=10G count=10000 | bzip2 -c > train.bz2"
     points: 0
   - name: ":(){ :|:& };:"
     points: 0
   - name: "sl"
     points: 5
 - title: "Which of the following commands will successfully exit Vim?"
   image:
   imageAlt:
   imageCaption:
   answers:
   - name: "ctrl+q"
     points: 0
   - name: "exit"
     points: 0
   - name: ":wq!"
     points: 5
   - name: ":qv"
     points: 0
 - title: "SystemD is…"
   image:
   imageAlt:
   imageCaption:
   answers:
   - name: "A suite of basic building blocks for a Linux system"
     points: 5
   - name: "A backup in case your Windows dual-boot eats your Linux install."
     points: 0
   - name: "A utility to mount external drives."
     points: 0
   - name: "Bloat"
     points: 10
 - title: "Choose your favorite musical instrument:"
   image:
   imageAlt:
   imageCaption:
   answers:
   - name: "🎸"
     points: 0
   - name: "🎷"
     points: 0
   - name: "GRUB"
     points: 10
   - name: "🎻"
     points: 0
 - title: "…won't be big and professional like…?"
   image:
   imageAlt:
   imageCaption:
   answers:
   - name: "GNU"
     points: 5
   - name: "Unix"
     points: 0
   - name: "Windows Vista"
     points: 0
   - name: "TempleOS"
     points: 0
 - title: "Which would NOT be a fun surprise for Richard Stallman?"
   image:
   imageAlt:
   imageCaption:
   answers:
   - name: "Buying a parrot"
     points: 5
   - name: "A room temperature of 71℉"
     points: 0
   - name: "Helping him cross the street"
     points: 5
   - name: "A nice dinner with less than four people total"
     points: 0
 - title: "What did Microsoft CEO Steve Ballmer call GNU/Linux?"
   image:
   imageAlt:
   imageCaption:
   answers:
   - name: "A cancer"
     points: 5
   - name: "An amateur effort"
     points: 0
   - name: "Delightful"
     points: 0
   - name: "Bloat"
     points: 0
 - title: "What is your favorite animal?"
   image:
   imageAlt:
   imageCaption:
   answers:
   - name: "🦊"
     points: 10
   - name: "🐧"
     points: 5
   - name: "🐢"
     points: 0
   - name: "🪱"
     points: 0
 - title: "Which distro is named after a husband and wife?"
   image:
   imageAlt:
   imageCaption:
   answers:
   - name: "Trisquel"
     points: 0
   - name: "Manjaro"
     points: 0
   - name: "Ubuntu"
     points: 0
   - name: "Debian"
     points: 5
 - title: "Best package to install on a fresh Linux installation?"
   image:
   imageAlt:
   imageCaption:
   answers:
   - name: "XZ 5.6.0"
     points: 20
   - name: "Inkscape"
     points: 5
   - name: "Timeshift"
     points: 10
   - name: "Photoshop"
     points: -5
 - title: "Which game console had an official Linux distro that users could buy and install?"
   image:
   imageAlt:
   imageCaption:
   answers:
   - name: "PlayStation 2"
     points: 5
   - name: "Nintendo 64"
     points: 0
   - name: "Nintendo Wii"
     points: 0
   - name: "Xbox 360"
     points: 0
---
Are you *k*onfident in your KDE knowledge? Have you joined us now, shared the software, and spread the good *gn*ews about your newfound freedom? Do you find it *awk*ward when people use proprietary software? No more *Stall*ing; it's time to *find* out whether you're a true GNU/Linux nerd.

*Note: Please do not type any of the commands on this page into your terminal without first looking them up. And even then, probably still don't.*
